Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
coroutine_context Struct Reference

`#include <Context.h>`

## Data Fields
void ** | stack_pointer
void * | stack
size_t | size
size_t | used
void * | base
jmp_buf | state
struct coroutine_context * | from
ucontext_t | state

## Detailed Description

Definition at line 17 of file Context.h.

## Field Documentation

## ◆ base

void* coroutine_context::base

Definition at line 33 of file Context.h.

Referenced by __attribute__(), coroutine_save_stack(), and coroutine_transfer().

## ◆ from

struct coroutine_context * coroutine_context::from

Definition at line 37 of file Context.h.

Referenced by coroutine_trampoline(), and coroutine_transfer().

## ◆ size

size_t coroutine_context::size

Definition at line 30 of file Context.h.

## ◆ stack

void* coroutine_context::stack

Definition at line 29 of file Context.h.

Referenced by __attribute__(), coroutine_save_stack(), and coroutine_transfer().

## ◆ stack_pointer

void ** coroutine_context::stack_pointer

Definition at line 19 of file Context.h.

Referenced by __attribute__(), and coroutine_save_stack().

## ◆ state [1/2]

ucontext_t coroutine_context::state

Definition at line 22 of file Context.h.

## ◆ state [2/2]

jmp_buf coroutine_context::state

Definition at line 35 of file Context.h.

Referenced by __attribute__().

## ◆ used

size_t coroutine_context::used

Definition at line 30 of file Context.h.

Referenced by __attribute__().

The documentation for this struct was generated from the following file:

- coroutine/amd64/Context.h